CVE-2019-7575

Name
CVE-2019-7575
Description
SDL (Simple DirectMedia Layer) through 1.2.15 and 2.x through 2.0.9 has a heap-based buffer overflow in MS_ADPCM_decode in audio/SDL_wave.c.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Vendor Advisory https://discourse.libsdl.org/t/vulnerabilities-found-in-libsdl-1-2-15/25720
Exploit https://bugzilla.libsdl.org/show_bug.cgi?id=4493
Mailing List https://lists.debian.org/debian-lts-announce/2019/03/msg00016.html
Mailing List https://lists.debian.org/debian-lts-announce/2019/03/msg00015.html
Mailing List http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00063.html
Mailing List http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00073.html
Mailing List http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00088.html
Third Party Advisory https://security.gentoo.org/glsa/201909-07
Third Party Advisory https://usn.ubuntu.com/4156-1/
Third Party Advisory https://usn.ubuntu.com/4156-2/
Mailing List https://lists.debian.org/debian-lts-announce/2019/10/msg00020.html
Mailing List https://lists.debian.org/debian-lts-announce/2019/10/msg00021.html
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/7ZO47LLKKRXKMUGSRCFNHSTHG5OEBYCG/
Mailing List https://lists.debian.org/debian-lts-announce/2021/01/msg00024.html
MLIST https://lists.debian.org/debian-lts-announce/2021/10/msg00032.html

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:libsdl:simple_directmedia_layer:*:*:*:*:*:*:*:* simple_directmedia_layer >= 2.0.0 <= 2.0.9
cpe:2.3:a:libsdl:simple_directmedia_layer:*:*:*:*:*:*:*:* simple_directmedia_layer >= None <= 1.2.15

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
sdl2 3.11-main 2.0.10-r0 August Klein <amatcoder@gmail.com> fixed
sdl2 3.10-main 2.0.10-r0 August Klein <amatcoder@gmail.com> fixed